> ## Documentation Index
> Fetch the complete documentation index at: https://artie.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate unsaved source

> Validates source reader and connector configuration without persisting. Returns 204 on success or 200 with error message on validation failure.



## OpenAPI

````yaml https://raw.githubusercontent.com/artie-labs/artie-api-spec/refs/heads/master/openapi.yaml post /pipelines/validate-unsaved-source
openapi: 3.0.3
info:
  description: External API endpoints for Artie
  title: Artie API
  version: v1.0.17
servers:
  - url: https://api.artie.com
security:
  - ApiKey: []
paths:
  /pipelines/validate-unsaved-source:
    post:
      tags:
        - Pipelines
      summary: Validate unsaved source
      description: >-
        Validates source reader and connector configuration without persisting.
        Returns 204 on success or 200 with error message on validation failure.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RouterPipelineValidateUnsavedSourceRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RouterValidateErrorResponse'
          description: OK
        '204':
          description: No Content
        '400':
          description: Bad Request
        '500':
          description: Internal Server Error
components:
  schemas:
    RouterPipelineValidateUnsavedSourceRequest:
      properties:
        dataPlaneName:
          type: string
        dynamoDBBackfillConfig:
          $ref: '#/components/schemas/PayloadsDynamoDBSnapshotConfig'
        sourceConnector:
          $ref: '#/components/schemas/PayloadsConnectorPayload'
        sourceReader:
          $ref: '#/components/schemas/PayloadsSourceReader'
        sourceReaderUUID:
          format: uuid
          nullable: true
          type: string
        tables:
          items:
            $ref: '#/components/schemas/PayloadsTable'
          type: array
        validateTables:
          type: boolean
      required:
        - validateTables
        - tables
      type: object
    RouterValidateErrorResponse:
      properties:
        error:
          type: string
      type: object
    PayloadsDynamoDBSnapshotConfig:
      properties:
        bucket:
          type: string
        enabled:
          type: boolean
        exportArn:
          type: string
        optionalFolder:
          type: string
      type: object
    PayloadsConnectorPayload:
      properties:
        dataPlaneName:
          type: string
        defaultDatabase:
          nullable: true
          type: string
        environmentUUID:
          format: uuid
          nullable: true
          type: string
        label:
          type: string
        sharedConfig:
          additionalProperties: {}
          nullable: true
          type: object
        sshTunnelUUID:
          format: uuid
          nullable: true
          type: string
        type:
          type: string
        uuid:
          type: string
      type: object
    PayloadsSourceReader:
      properties:
        apiBaseURL:
          type: string
        companyUUID:
          format: uuid
          type: string
        connectorUUID:
          format: uuid
          type: string
        containerName:
          type: string
        createdAt:
          format: date-time
          type: string
        dataPlaneName:
          type: string
        database:
          type: string
        environmentUUID:
          format: uuid
          type: string
        isShared:
          nullable: true
          type: boolean
        isValid:
          type: boolean
        name:
          type: string
        settings:
          $ref: '#/components/schemas/PayloadsSourceReaderSettingsPayload'
        status:
          $ref: '#/components/schemas/EnumsSourceReaderStatus'
        tablesConfig:
          $ref: '#/components/schemas/PayloadsSourceReaderTablesConfig'
        updatedAt:
          format: date-time
          type: string
        uuid:
          format: uuid
          type: string
      required:
        - uuid
        - name
        - companyUUID
        - dataPlaneName
        - environmentUUID
        - connectorUUID
        - status
        - isValid
        - database
        - containerName
        - settings
      type: object
    PayloadsTable:
      properties:
        advancedSettings:
          $ref: '#/components/schemas/PayloadsTableAdvancedSettings'
        createdAt:
          format: date-time
          type: string
        destinationTableName:
          type: string
        disableReplication:
          type: boolean
        enableHistoryMode:
          type: boolean
        historyTableStatus:
          type: string
        individualDeployment:
          type: boolean
        isPartitioned:
          type: boolean
        name:
          type: string
        schema:
          type: string
        status:
          type: string
        updatedAt:
          format: date-time
          type: string
        uuid:
          format: uuid
          type: string
      type: object
    PayloadsSourceReaderSettingsPayload:
      properties:
        allowMSSQLCaptureInstancesViaReader:
          nullable: true
          type: boolean
        azureBlobStorageConfig:
          $ref: '#/components/schemas/PayloadsAzureBlobStorageConfig'
        backfillBatchSize:
          minimum: 0
          nullable: true
          type: integer
        databasesToSync:
          items:
            type: string
          nullable: true
          type: array
        disableAutoFetchTables:
          nullable: true
          type: boolean
        disableFullDocumentBeforeChange:
          nullable: true
          type: boolean
        disableNoCursorTimeout:
          nullable: true
          type: boolean
        enableClientSideFullDocumentLookup:
          nullable: true
          type: boolean
        enableHeartbeats:
          nullable: true
          type: boolean
        mssqlReplicationMethod:
          nullable: true
          type: string
        oneTopicPerSchema:
          nullable: true
          type: boolean
        publicationAutoCreateMode:
          nullable: true
          type: string
        publicationNameOverride:
          nullable: true
          type: string
        publishViaPartitionRoot:
          nullable: true
          type: boolean
        replicationSlotOverride:
          nullable: true
          type: string
        unifyAcrossDatabases:
          nullable: true
          type: boolean
        unifyAcrossSchemas:
          nullable: true
          type: boolean
        unifyAcrossSchemasRegex:
          nullable: true
          type: string
        useAdvanceOnPrimaryKeepAlive:
          nullable: true
          type: boolean
        useNumericTypesForMoney:
          nullable: true
          type: boolean
      type: object
    EnumsSourceReaderStatus:
      enum:
        - draft
        - paused
        - running
      type: string
    PayloadsSourceReaderTablesConfig:
      additionalProperties:
        $ref: '#/components/schemas/PayloadsSourceReaderTable'
      nullable: true
      type: object
    PayloadsTableAdvancedSettings:
      properties:
        alias:
          type: string
        backfillFromDatabases:
          items:
            type: string
          nullable: true
          type: array
        backfillFromSchemas:
          items:
            type: string
          nullable: true
          type: array
        bigQueryPartitionSettings:
          $ref: '#/components/schemas/PayloadsBigQuerySettings'
        bufferRows:
          type: integer
        columnsToCompress:
          items:
            type: string
          type: array
        columnsToEncrypt:
          items:
            type: string
          type: array
        columnsToHash:
          items:
            type: string
          type: array
        ctidSettings:
          $ref: '#/components/schemas/PayloadsCTIDSettings'
        encryptJSONBColumns:
          type: boolean
        endingPrimaryKey:
          type: string
        excludeColumns:
          items:
            type: string
          type: array
        flushIntervalSeconds:
          type: integer
        flushSizeKb:
          type: integer
        historyTableBackfillFromSchemas:
          items:
            type: string
          nullable: true
          type: array
        includeColumns:
          items:
            type: string
          type: array
        k8sRequestCPU:
          minimum: 0
          type: integer
        k8sRequestMemoryMB:
          minimum: 0
          type: integer
        mergePredicates:
          items:
            $ref: '#/components/schemas/PayloadsMergePredicates'
          type: array
        msmFlushCount:
          minimum: 0
          type: integer
        primaryKeysOverride:
          items:
            type: string
          nullable: true
          type: array
        rangeSettings:
          $ref: '#/components/schemas/PayloadsRangeSettings'
        shouldBackfillHistoryTable:
          nullable: true
          type: boolean
        skipBackfill:
          type: boolean
        skipDelete:
          type: boolean
        skipNoOpUpdates:
          type: boolean
        softPartitioning:
          $ref: '#/components/schemas/PayloadsSoftPartitioning'
        startingPrimaryKey:
          type: string
        streamARN:
          type: string
        unifyAcrossDatabases:
          type: boolean
        unifyAcrossSchemas:
          type: boolean
      type: object
    PayloadsAzureBlobStorageConfig:
      properties:
        accountURL:
          type: string
        containerName:
          type: string
        sasToken:
          type: string
      type: object
    PayloadsSourceReaderTable:
      properties:
        excludeColumns:
          items:
            type: string
          type: array
        includeColumns:
          items:
            type: string
          type: array
        isPartitioned:
          type: boolean
        name:
          type: string
        schema:
          type: string
        unifyAcrossDatabases:
          type: boolean
        unifyAcrossSchemas:
          type: boolean
      type: object
    PayloadsBigQuerySettings:
      properties:
        partitionBy:
          type: string
        partitionField:
          type: string
        partitionType:
          type: string
      type: object
    PayloadsCTIDSettings:
      properties:
        chunkSize:
          minimum: 0
          type: integer
        enabled:
          type: boolean
        maxParallelism:
          minimum: 0
          type: integer
      type: object
    PayloadsMergePredicates:
      properties:
        partitionBy:
          type: string
        partitionField:
          type: string
        partitionType:
          type: string
      type: object
    PayloadsRangeSettings:
      properties:
        batchSize:
          minimum: 0
          type: integer
        chunksSize:
          minimum: 0
          type: integer
        enabled:
          type: boolean
        maxParallelism:
          minimum: 0
          type: integer
      type: object
    PayloadsSoftPartitioning:
      properties:
        enabled:
          type: boolean
        maxPartitions:
          type: integer
        partitionColumn:
          type: string
        partitionFrequency:
          type: string
        partitionSchema:
          type: string
      type: object
  securitySchemes:
    ApiKey:
      description: API key passed as a Bearer token in the Authorization header.
      scheme: bearer
      type: http

````